org.eclipse.gef.zest.fx.parts

## Class EdgeLabelPart

- java.lang.Object
- - org.eclipse.gef.mvc.fx.parts.AbstractVisualPart<V>
  - - org.eclipse.gef.mvc.fx.parts.AbstractContentPart<javafx.scene.Group>
    - - org.eclipse.gef.zest.fx.parts.AbstractLabelPart
      - - org.eclipse.gef.zest.fx.parts.EdgeLabelPart

All Implemented Interfaces:
  IActivatable, IAdaptable, IAdaptable.Bound<IViewer>, IDisposable, IContentPart<javafx.scene.Group>, ITransformableContentPart<javafx.scene.Group>, IVisualPart<javafx.scene.Group>

    public class EdgeLabelPart
    extends AbstractLabelPart

The `EdgeLabelPart` is an `AbstractLabelPart` that is used to display the label of an edge.

### Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractContentPart

`contentAnchoragesUnmodifiable, contentChildrenUnmodifiable, content`

### Properties inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`active, adaptable, adapters, anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`contentAnchoragesUnmodifiable, contentChildrenUnmodifiable, content`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

### Fields inherited from class org.eclipse.gef.zest.fx.parts.AbstractLabelPart

`CSS_CLASS_LABEL`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.ITransformableContentPart

`TRANSFORM_PROVIDER_KEY, TRANSFORM_PROVIDER_ROLE`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`CONTENT_ANCHORAGES_PROPERTY, CONTENT_CHILDREN_PROPERTY, CONTENT_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Constructor Summary

Constructors
Constructor and Description
`EdgeLabelPart()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Point` `computeLabelPosition()` Computes a position for this label.
`protected javafx.scene.Group` `doCreateVisual()`
`protected com.google.common.collect.SetMultimap<? extends java.lang.Object,java.lang.String>` `doGetContentAnchorages()`
`protected void` `doRefreshVisual(javafx.scene.Group visual)`
`javafx.util.Pair<Edge,java.lang.String>` `getContent()`
`protected Point` `getEndPoint()` Computes the end position for placing a label.
`protected IContentPart<? extends Connection>` `getFirstAnchorage()` Returns the `IContentPart` for which this `EdgeLabelPart` displays the label.
`protected Point` `getMidPoint()` Computes the middle position for placing a label.
`protected Point` `getStartPoint()` Computes the start position for placing a label.
`protected javafx.scene.control.Tooltip[]` `getTooltipNodes()` Array containing the `Tooltip` nodes of this `EdgeLabelPart` in the following order: [0]: tooltip node on the label of the edge.
`protected void` `refreshTooltip()` Changes the tooltip of this `EdgeLabelPart` to the given value.
`protected void` `refreshTooltip(javafx.scene.control.Tooltip tooltipNode, java.lang.String tooltip)` Changes the tooltip of this `EdgeLabelPart` to the given value.

### Methods inherited from class org.eclipse.gef.zest.fx.parts.AbstractLabelPart

`createText, doActivate, doAttachToAnchorageVisual, doDeactivate, doDetachFromAnchorageVisual, doGetContentChildren, getContentTransform, getLabelPosition, getLabelPositionAttributeKey, getText, recomputeLabelPosition, refreshPosition, setContentTransform, setLabelPosition`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, doAddContentChild, doAttachToContentAnchorage, doDetachFromContentAnchorage, doRemoveContentChild, doReorderContentChild, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, isSelectable, refreshContentAnchorages, refreshContentChildren, register, registerAtContentPartMap, removeContentChild, reorderContentChild, setContent, unregister, unregisterFromContentPartMap`

### Methods inherited from class org.eclipse.gef.mvc.fx.parts.AbstractVisualPart

`activate, activateAdapters, activateChildren, activeProperty, adaptableProperty, adaptersProperty, addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, deactivate, deactivateAdapters, deactivateChildren, detachAnchored, detachFromAnchorage, detachFromAnchorage, determineViewer, dispose, doAddChildVisual, doRemoveChildVisual, getAdaptable, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getVisual, isActive, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, registerAtVisualPartMap, removeChild, removeChildren, reorderChild, setAdaptable, setAdapter, setAdapter, setAdapter, setAdapter, setParent, setRefreshVisual, unregisterFromVisualPartMap, unsetAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.ITransformableContentPart

`getVisualTransform, setVisualTransform`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, isSelectable, refreshContentAnchorages, refreshContentChildren, removeContentChild, reorderContentChild, setContent`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Constructor Detail

#### EdgeLabelPart

    public EdgeLabelPart()

### Method Detail

#### computeLabelPosition

    public Point computeLabelPosition()

Description copied from class: `AbstractLabelPart`
Computes a position for this label.

Specified by:
  `computeLabelPosition` in class `AbstractLabelPart`
Returns:
  The computed position for this label in the coordinate system of the `GraphPart` that contains this label.

#### doCreateVisual

    protected javafx.scene.Group doCreateVisual()

Specified by:
  `doCreateVisual` in class `AbstractVisualPart<javafx.scene.Group>`

#### doGetContentAnchorages

    protected com.google.common.collect.SetMultimap<? extends java.lang.Object,java.lang.String> doGetContentAnchorages()

Specified by:
  `doGetContentAnchorages` in class `AbstractContentPart<javafx.scene.Group>`

#### doRefreshVisual

    protected void doRefreshVisual(javafx.scene.Group visual)

Specified by:
  `doRefreshVisual` in class `AbstractVisualPart<javafx.scene.Group>`

#### getContent

    public javafx.util.Pair<Edge,java.lang.String> getContent()

Specified by:
  `getContent` in interface `IContentPart<javafx.scene.Group>`
Overrides:
  `getContent` in class `AbstractLabelPart`

#### getEndPoint

    protected Point getEndPoint()

Computes the end position for placing a label. The position is interpreted in the parent coordinate system of this part's visual.

Returns:
  The end position for placing a label.

#### getFirstAnchorage

    protected IContentPart<? extends Connection> getFirstAnchorage()

Returns the `IContentPart` for which this `EdgeLabelPart` displays the label.

Returns:
  The `IContentPart` for which this `EdgeLabelPart` displays the label.

#### getMidPoint

    protected Point getMidPoint()

Computes the middle position for placing a label. The position is interpreted in the parent coordinate system of this part's visual.

Returns:
  The middle position for placing a label.

#### getStartPoint

    protected Point getStartPoint()

Computes the start position for placing a label. The position is interpreted in the parent coordinate system of this part's visual.

Returns:
  The start position for placing a label.

#### getTooltipNodes

    protected javafx.scene.control.Tooltip[] getTooltipNodes()

Array containing the `Tooltip` nodes of this `EdgeLabelPart` in the following order:

- [0]: tooltip node on the label of the edge.
- [1]: tooltip node on the source label of the edge.
- [2]: tootlip node on the target label of the edge.
- [3]: tooltip node on the external label of the edge.

Returns:
  Array of `Tooltip`s.
Since:
  5.1

#### refreshTooltip

    protected void refreshTooltip()

Changes the tooltip of this `EdgeLabelPart` to the given value.

Since:
  5.1

#### refreshTooltip

    protected void refreshTooltip(javafx.scene.control.Tooltip tooltipNode,
                                  java.lang.String tooltip)

Changes the tooltip of this `EdgeLabelPart` to the given value.

Parameters:
  `tooltipNode` - the tooltip node
  `tooltip` - the tooltip text
Since:
  5.1